Subject: [alto] On-line interop-93 test client

From: Wendy Roome <[email-masked]>
Date: Wed, 29 Jul 2015 12:49:26 -0400

I now have a web-based client for the interop tests defined in
https://datatracker.ietf.org/doc/draft-roome-alto-interop-ietf93/ :

       http://www.wdroome.com/alto/interop-93-client.php

Enter the public URI of your server, select the tests you want, and click
TEST SERVER. Be patient; it runs all tests before reporting the results.
It reports the results as a plain text file, to make it easier to save.

The output first lists the regular tests that passed, one per line. Next
come the failed tests: a one line summary followed by the specific errors.
Then it gives the results of the error tests. After that comes a summary
of all the resources in the IRD, including how many times each was used.
Finally, if any tests failed, it gives the request sent, response
expected, and the actual response received. Note that the latter is a
re-formatted version of the raw bytes the server returned.

It is not the most sophisticated web site ever written, but it seems to
work.

      - Wendy Roome